Subject: Re: [PATCH v6] doc: add an explanation of Git's data model

From: Junio C Hamano <[email-masked]>
Date: Thu, 13 Nov 2025 15:11:24 -0800

"Julia Evans" <[email-masked]> writes:

>> So I'd prefer to keep editorializing about what a branch "means"
>> to a minimum.
>
> To immediately contradict myself a bit: after sending this I thought to
> look through Mark Dominus's great blog posts about Git to see if
> he has anything to say about this ...
> The idea there is to talk about how a branch might be _conceptually_
> "a line of development", but that Git doesn't have anything in its data
> model to track what the "base" of the line of development is, so any
> time you want Git to think of a branch as "these 2 commits" you need to
> give it a way to determine the base.

Yup, that is why you need to walk a fine line between what is hard
and mechanical "bits in the system" data model, and the conceptual
goal human users build using the bits as building blocks.

Aside from that "branch" description, the rest of the document has
been polished well enough that we are quickly approaching the point
of diminishing returns, I would think.  Should we declare victory
and mark the topic for 'next' by now?

Thanks.